Skip to main content
POST
cURL

Path Parameters

connector_id
string
required

Body

application/json

Generic request model.

request
object
required

The main request payload.

include_raw_data
boolean

Whether to include raw data in the response.

page
object

Pagination information for the request.

settings
object

Connector-specific settings for the request.

These are settings that are shared across all capabilities.

Usually contain additional required configuration options not specified by the capability schema.

Response

200 - application/json

The request has succeeded.

Response containing the OAuth credentials after handling an authorization callback.

response
object
required

OAuth credentials model.

Enough authentication material to enable a capability, e.g. List Accounts, for an OAuth-based connector.

raw_data
any
page
object

Pagination parameters for requests and responses.